package cn.hmsoft.ltc.model;

import java.sql.Date;


/**
 * 用户注册及登入信息
 * @author Administrator
 *
 */
public class Users {
	private Integer userId; // 主建
	private String schoolName; // 学校名字
	private String teacherName; // 老师姓名
	private String titleName;//职称名称
	private String certNo;//身份证号
	private String phone; // 电话
	private String userName; // 用户名
	private String passwd; // 密码
	private String createId; // 创建人ID
	private String created; // 创建人
	private String createDate; // 创建时间
	private String updateId; // 修改人ID
	private String updated; // 修改人
	private Date updateDate; // 修改时间
	private Integer courseId;   //课程id
	private Integer userRole;//用户角色--1是管理员,0-普通注册用户
	
	protected String courseCode;  //课程编号
	protected String courseName;  //课程名称
	
	public String teachBook;//教材名称
     
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getSchoolName() {
		return schoolName;
	}
	public void setSchoolName(String string) {
		this.schoolName = string;
	}
	public String getTeacherName() {
		return teacherName;
	}
	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}

	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getPasswd() {
		return passwd;
	}
	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}
	public String getCreateId() {
		return createId;
	}
	public void setCreateId(String createId) {
		this.createId = createId;
	}
	public String getCreated() {
		return created;
	}
	public void setCreated(String created) {
		this.created = created;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public String getUpdateId() {
		return updateId;
	}
	public void setUpdateId(String updateId) {
		this.updateId = updateId;
	}
	public String getUpdated() {
		return updated;
	}
	public void setUpdated(String updated) {
		this.updated = updated;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getTitleName() {
		return titleName;
	}
	public String getCertNo() {
		return certNo;
	}
	public void setTitleName(String titleName) {
		this.titleName = titleName;
	}
	public void setCertNo(String certNo) {
		this.certNo = certNo;
	}
	public Integer getCourseId() {
		return courseId;
	}
	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Integer getUserRole() {
		return userRole;
	}
	public void setUserRole(Integer userRole) {
		this.userRole = userRole;
	}
	public String getTeachBook() {
		return teachBook;
	}
	public void setTeachBook(String teachBook) {
		this.teachBook = teachBook;
	}
     
     
}
